Package twisted :: Package sister :: Module sisterserv :: Class TicketAuthorizer

[show private | hide private]
[frames | no frames]

## Class TicketAuthorizer

    OriginalAccessor --+
                       |
              Authorizer --+
                           |
           DefaultAuthorizer --+
                               |
                              TicketAuthorizer

Method Summary
| ``__init__`(self, serviceCollection)` Create a hash of identities. (inherited from `DefaultAuthorizer`)
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``addIdentity`(self, identity)` Add an identity to me. (inherited from `DefaultAuthorizer`)
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer. (inherited from `Authorizer`)
| `get_application(self)` (inherited from `Authorizer`)
| ``getIdentityRequest`(self, name)` Get a Deferred callback registration object. (inherited from `DefaultAuthorizer`)
| `getServiceNamed(self, name)` (inherited from `Authorizer`)
| `loadIdentity(self, identityName, keys)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeIdentity(self, identityName)` (inherited from `DefaultAuthorizer`)
| ``setApplication`(self, app)` Set the application for this authorizer. (inherited from `Authorizer`)
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer. (inherited from `Authorizer`)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:12 2003 | http://epydoc.sf.net